import { $ } from '../../../../Class/$';
import { Done } from '../../../../Class/Functional/Done';
import { Holder } from '../../../../Class/Holder';
import { System } from '../../../../system';
import { $Graph } from '../../../../types/interface/async/$Graph';
export interface I {
    opt: {};
    close: any;
    message: any;
}
export interface O {
    graph: $Graph & $;
    message: any;
}
export default class RemoteGraph extends Holder<I, O> {
    private _remote_port;
    private _port;
    constructor(system: System);
    f({ opt }: I, done: Done<O>): void;
    d(): void;
    onIterDataInputData(name: keyof I, data: any): Promise<void>;
}
